'
' DotNetNukeŽ - http://www.dotnetnuke.com
' Copyright (c) 2002-2006
' by DotNetNuke Corporation
'
' Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated 
' documentation files (the "Software"), to deal in the Software without restriction, including without limitation 
' the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and 
' to permit persons to whom the Software is furnished to do so, subject to the following conditions:
'
' The above copyright notice and this permission notice shall be included in all copies or substantial portions 
' of the Software.
'
' THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
' TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
' THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
' CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
' DEALINGS IN THE SOFTWARE.
'

Imports System
Imports System.Data
Imports System.Collections.Generic
Imports DotNetNuke

Namespace DotNetNuke.Modules.IWeb

    Public Class IWebController
        Public Shared Function CheckIWebSettings(ByVal PortalID As Integer, ByVal SettingID As String) As Integer
            Dim i As Integer = 0
            Dim IWebInfo As IWebInfo = New IWebInfo()
            Using dr As IDataReader = DataProvider.Instance().IWeb_GetIWebSettings(PortalID, SettingID)
                While dr.Read
                    i = i + 1
                End While
            End Using
            Return i
        End Function
        Public Shared Function GetIWebSettings(ByVal PortalID As Integer, ByVal SettingID As String) As String
            Dim IWebInfo As IWebInfo = New IWebInfo()
            Using dr As IDataReader = DataProvider.Instance().IWeb_GetIWebSettings(PortalID, SettingID)
                While dr.Read
                    IWebInfo.Setting = Convert.ToString(dr("Setting"))
                End While
            End Using
            Return IWebInfo.Setting
        End Function

        Public Shared Sub DeleteIWebSettings(ByVal colIWebInfo As IWebInfo)
            DataProvider.Instance().IWeb_DeleteIWebSettings(colIWebInfo.PortalID, colIWebInfo.SettingID, colIWebInfo.Setting)
        End Sub
        Public Shared Sub InsertIWebSettings(ByVal colIWebInfo As IWebInfo)
            DataProvider.Instance().IWeb_InsertIWebSettings(colIWebInfo.PortalID, colIWebInfo.SettingID, colIWebInfo.Setting)
        End Sub
        Public Shared Sub UpdateIWebSettings(ByVal colIWebInfo As IWebInfo)
            DataProvider.Instance().IWeb_UpdateIWebSettings(colIWebInfo.PortalID, colIWebInfo.SettingID, colIWebInfo.Setting)
        End Sub

    End Class
End Namespace

